Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 617189 - SELinux is preventing /bin/find "getattr" access on /var/lib/prelink/full.
SELinux is preventing /bin/find "getattr" access on /var/lib/prelink/full.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:77195ddd455...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-22 08:56 EDT by ssabchew
Modified: 2010-08-06 04:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-22 10:27:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ssabchew 2010-07-22 08:56:03 EDT
Summary:

SELinux is preventing /bin/find "getattr" access on /var/lib/prelink/full.

Detailed Description:

[find has a permissive type (prelink_cron_system_t). This access was not
denied.]

SELinux denied access requested by find. It is not expected that this access is
required by find and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:prelink_cron_system_t:s0-s0:c0.c
                              1023
Target Context                system_u:object_r:var_lib_t:s0
Target Objects                /var/lib/prelink/full [ file ]
Source                        find
Source Path                   /bin/find
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           findutils-4.4.2-8.fc13
Target RPM Packages           prelink-0.4.3-3.fc13
Policy RPM                    selinux-policy-3.7.19-37.fc13
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.33.6-147.fc13.x86_64 #1 SMP Tue Jul 6 22:32:17
                              UTC 2010 x86_64 x86_64
Alert Count                   3
First Seen                    Tue 20 Jul 2010 12:41:07 PM EEST
Last Seen                     Thu 22 Jul 2010 03:09:08 AM EEST
Local ID                      263e8ed1-86b6-44a4-ab05-f9e429329aea
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1279757348.166:92): avc:  denied  { getattr } for  pid=15631 comm="find" path="/var/lib/prelink/full" dev=dm-1 ino=263544 scontext=system_u:system_r:prelink_cron_system_t:s0-s0:c0.c1023 tcontext=system_u:object_r:var_lib_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1279757348.166:92): arch=c000003e syscall=262 success=yes exit=0 a0=ffffffffffffff9c a1=1324b28 a2=1324a98 a3=100 items=0 ppid=15630 pid=15631 auid=0 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=11 comm="find" exe="/bin/find" subj=system_u:system_r:prelink_cron_system_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  catchall,find,prelink_cron_system_t,var_lib_t,file,getattr
audit2allow suggests:

#============= prelink_cron_system_t ==============
allow prelink_cron_system_t var_lib_t:file getattr;
Comment 1 Daniel Walsh 2010-07-22 10:27:08 EDT
restorecon -R -v /var/lib

Somehow this directory got mislabeled.  If it happens again please reopen the bug.

Note You need to log in before you can comment on or make changes to this bug.